> ## Documentation Index
> Fetch the complete documentation index at: https://docs.incident.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Show

> Show a status page maintenance window.

This endpoint requires a valid API key but no specific scopes.



## OpenAPI

````yaml /openapi/tags/status-page-maintenances-v2.json get /v2/status_page_maintenances/{status_page_maintenance_id}
openapi: 3.0.3
info:
  description: "This is the API reference for incident.io.\n\nIt documents available API endpoints, provides examples of how to use it, and\ninstructions around things like authentication and error handling.\n\nThe API is hosted at:\n\n- https://api.incident.io/\n\nAnd you will need to create an API key via your [incident.io\ndashboard](https://app.incident.io/settings/api-keys) to make requests.\n\n# Making requests\n\nHere are the key concepts required to make requests to the incident.io API.\n\n## Authentication\n\nFor all requests made to the incident.io API, you'll need an API key.\n\nTo create an API key, head to the incident dashboard and visit [API\nkeys](https://app.incident.io/settings/api-keys). When you create the key, you'll be able to choose what actions it\ncan take for your account: choose carefully, as those roles can only be set\nwhen you first create the key. We'll only show you the token once, so make sure\nyou store it somewhere safe.\n\nAPI keys are global to your incident.io account, and can be managed by anyone\nwho has the right permissions. We display the user that created the API key,\nand the API key will remain valid if that user becomes deactivated.\n\nOnce you have the key, you should make requests to the API that set the\n`Authorization` request header using a \"Bearer\" authentication scheme:\n\n```\nAuthorization: Bearer <YOUR_API_KEY>\n```\n\n## Rate Limits\n\nThe incident.io API enforces rate limits to ensure consistent performance for all users.\n\nThe default rate limit is 1200 requests/minute per API key. This limit applies to most endpoints across the API.\n\nSome endpoints have lower rate limits, particularly those that interact with external third-party systems that impose\ntheir own limitations. These specific limits vary by endpoint, and we recommend relying on the rate-limit error\nresponses to understand usage patterns and implement appropriate retry strategies.\n\nWhen you exceed a rate limit, the API will respond with a `429 Too Many Requests` status code, along with a JSON\nresponse that includes information about the limit and when you can retry:\n\n```json\n{\n    \"type\": \"too_many_requests\",\n    \"status\": 429,\n    \"request_id\": \"b839a403-7704-41c1-bf6a-39a2d68caefa\",\n    \"rate_limit\": {\n        \"name\": \"api_key_name\",\n        \"limit\": 1200,\n        \"remaining\": 0,\n        \"retry_after\": \"Thu, 17 Apr 2025 11:17:18 UTC\"\n    },\n    \"errors\": [\n        {\n            \"code\": \"too_many_requests\",\n            \"message\": \"Too many requests hit the API too quickly. We recommend an exponential backoff of your requests.\"\n        }\n    ]\n}\n```\n\nThe response includes:\n* The name of the API key (`name`)\n* The bucket limit (`limit`)\n* The number of requests remaining (`remaining`)\n* When you can retry requests (`retry_after`)\n\n## Errors\n\nWe use standard HTTP response codes to indicate the status or failure of API\nrequests.\n\nThe API response body will be JSON, and contain more detailed information on the\nnature of the error.\n\nAn example error when a request is made without an API key:\n\n```json\n{\n  \"type\": \"authentication_error\",\n  \"status\": 401,\n  \"request_id\": \"8e3cc412-b49d-4957-9073-2c19d2c61804\",\n  \"errors\": [\n    {\n      \"code\": \"missing_authorization_material\",\n      \"message\": \"No authorization material provided in request\"\n    }\n  ]\n}\n```\n\nNote that the error:\n\n- Contains the HTTP status (`401`)\n- References the type of error (`authentication_error`)\n- Includes a `request_id` that can be provided to incident.io support to help\n\tdebug questions with your API request\n- Provides a list of individual errors, which go into detail about why the error\n\toccurred\n\nThe most common error will be a 422 Validation Error, which is returned when the\nrequest was rejected due to failing validations.\n\nThese errors look like this:\n\n```json\n{\n  \"type\": \"validation_error\",\n  \"status\": 422,\n  \"request_id\": \"631766c4-4afd-4803-997c-cd700928fa4b\",\n  \"errors\": [\n    {\n      \"code\": \"is_required\",\n      \"message\": \"A severity is required to open an incident\",\n      \"source\": {\n        \"field\": \"severity_id\"\n      }\n    }\n  ]\n}\n```\n\nThis error is caused by not providing a severity identifier, which should be at\nthe `severity_id` field of the request payload. Errors like these can be mapped to\nforms, should you be integrating with the API from a user-interface.\n\n## Compatibility\n\nWe won't make breaking changes to existing API services or endpoints, but will\nexpect integrators to upgrade themselves to the latest API endpoints within 3\nmonths of us deprecating the old service.\n\nWe will make changes that are considered backwards compatible, which include:\n\n- Adding new API endpoints and services\n- Adding new properties to responses from existing API endpoints\n- Reordering properties returned from existing API endpoints\n- Adding optional request parameters to existing API endpoints\n- Altering the format or length of IDs\n- Adding new values to enums\n\nIt is important that clients are robust to these changes, to ensure reliable\nintegrations.\n\nAs an example, if you are generating a client using an openapi-generator, ensure\nthe generated client is configured to support unknown enum values, often\nconfigured via the `enumUnknownDefaultCase` parameter.\n\nWhen breaking changes are unavoidable, we'll create a new service version on a\nseparate path, and run them in parallel.\n\nFor example:\n\n- https://api.incident.io/v1/incidents\n- https://api.incident.io/v2/incidents\n\nFor any questions, email support@incident.io.\n"
  title: incident.io
  version: 1.0.0
servers:
  - url: https://api.incident.io
security:
  - BearerAuth: []
tags:
  - description: >
      Manage and publish to status pages.


      Before using these endpoints, you must create a status page in the
      incident.io dashboard (find Status Pages in the left navigation bar). You
      can then use the ListStatusPages endpoint to find your status page IDs,
      and the ShowStatusPageStructure endpoint to find component IDs and group
      IDs for your status page.


      For read-only access (listing status pages, viewing structure, incidents,
      and maintenance windows), any valid API key will work. For write requests
      (creating incidents, maintenance windows, and publishing updates), you
      will need an API key with the "Create status page incidents, status page
      maintenance windows, and publish status page updates" scope.
    name: Status Page Maintenances V2
paths:
  /v2/status_page_maintenances/{status_page_maintenance_id}:
    get:
      tags:
        - Status Page Maintenances V2
      summary: Show
      description: |-
        Show a status page maintenance window.

        This endpoint requires a valid API key but no specific scopes.
      operationId: Status Pages V2_ShowStatusPageMaintenance
      parameters:
        - description: ID of the status page maintenance window
          example: 01FCNDV6P870EA6S7TK1DSYDG1
          in: path
          name: status_page_maintenance_id
          required: true
          schema:
            description: ID of the status page maintenance window
            example: 01FCNDV6P870EA6S7TK1DSYDG1
            type: string
      responses:
        '200':
          content:
            application/json:
              example:
                status_page_maintenance:
                  component_maintenance_periods:
                    - component_id: 01GW7P4ES31Q6V1ZQH321T0GJN
                      end_at: '2021-08-17T13:28:57.801578Z'
                      start_at: '2021-08-17T13:28:57.801578Z'
                  id: 01FCNDV6P870EA6S7TK1DSYDG0
                  maintenance_status: maintenance_scheduled
                  name: Routine infrastructure upgrade
                  published_at: '2021-08-17T13:28:57.801578Z'
                  status_page_id: 01FCNDV6P870EA6S7TK1DSYDG0
                  updates:
                    - component_statuses:
                        - component_id: 01FCNDV6P870EA6S7TK1DSYDG2
                          component_status: operational
                      id: 01FCNDV6P870EA6S7TK1DSYDG0
                      maintenance_status: maintenance_scheduled
                      message: abc123
                      published_at: '2021-08-17T13:28:57.801578Z'
                      status_page_maintenance_id: 01FCNDV6P870EA6S7TK1DSYDG1
              schema:
                $ref: >-
                  #/components/schemas/StatusPagesShowStatusPageMaintenanceResultV2
          description: OK response.
components:
  schemas:
    StatusPagesShowStatusPageMaintenanceResultV2:
      example:
        status_page_maintenance:
          component_maintenance_periods:
            - component_id: 01GW7P4ES31Q6V1ZQH321T0GJN
              end_at: '2021-08-17T13:28:57.801578Z'
              start_at: '2021-08-17T13:28:57.801578Z'
          id: 01FCNDV6P870EA6S7TK1DSYDG0
          maintenance_status: maintenance_scheduled
          name: Routine infrastructure upgrade
          published_at: '2021-08-17T13:28:57.801578Z'
          status_page_id: 01FCNDV6P870EA6S7TK1DSYDG0
          updates:
            - component_statuses:
                - component_id: 01FCNDV6P870EA6S7TK1DSYDG2
                  component_status: operational
              id: 01FCNDV6P870EA6S7TK1DSYDG0
              maintenance_status: maintenance_scheduled
              message: abc123
              published_at: '2021-08-17T13:28:57.801578Z'
              status_page_maintenance_id: 01FCNDV6P870EA6S7TK1DSYDG1
      properties:
        status_page_maintenance:
          $ref: '#/components/schemas/StatusPageMaintenanceV2'
      type: object
    StatusPageMaintenanceV2:
      properties:
        component_maintenance_periods:
          description: >-
            A list of time periods where components were under maintenance
            during this status page maintenance window
          example:
            - component_id: 01GW7P4ES31Q6V1ZQH321T0GJN
              end_at: '2021-08-17T13:28:57.801578Z'
              start_at: '2021-08-17T13:28:57.801578Z'
          items:
            $ref: >-
              #/components/schemas/StatusPageMaintenanceComponentMaintenancePeriodV2
          type: array
        id:
          description: A unique ID for this status page maintenance window
          example: 01FCNDV6P870EA6S7TK1DSYDG0
          type: string
        maintenance_status:
          description: Current status for this maintenance window
          enum:
            - maintenance_scheduled
            - maintenance_in_progress
            - maintenance_complete
          example: maintenance_scheduled
          type: string
          x-public-api-version: v2
        name:
          description: A title for the maintenance window
          example: Routine infrastructure upgrade
          type: string
        published_at:
          description: >-
            When this status page maintenance window was published to the status
            page
          example: '2021-08-17T13:28:57.801578Z'
          format: date-time
          type: string
        status_page_id:
          description: The ID of the corresponding status page
          example: 01FCNDV6P870EA6S7TK1DSYDG0
          type: string
        updates:
          description: A list of updates posted to this status page maintenance window
          example:
            - component_statuses:
                - component_id: 01FCNDV6P870EA6S7TK1DSYDG2
                  component_status: operational
              id: 01FCNDV6P870EA6S7TK1DSYDG0
              maintenance_status: maintenance_scheduled
              message: abc123
              published_at: '2021-08-17T13:28:57.801578Z'
              status_page_maintenance_id: 01FCNDV6P870EA6S7TK1DSYDG1
          items:
            $ref: '#/components/schemas/StatusPageMaintenanceUpdateV2'
          type: array
      required:
        - id
        - status_page_id
        - name
        - published_at
        - maintenance_status
        - updates
        - component_maintenance_periods
      type: object
    StatusPageMaintenanceComponentMaintenancePeriodV2:
      example:
        component_id: 01GW7P4ES31Q6V1ZQH321T0GJN
        end_at: '2021-08-17T13:28:57.801578Z'
        start_at: '2021-08-17T13:28:57.801578Z'
      properties:
        component_id:
          description: >-
            The ID of the affected component. This may be found by calling the
            ShowStatusPageStructure endpoint.
          example: 01GW7P4ES31Q6V1ZQH321T0GJN
          type: string
        end_at:
          description: >-
            When the component stopped being under maintenance. If this is null,
            the impact is ongoing.
          example: '2021-08-17T13:28:57.801578Z'
          format: date-time
          type: string
        start_at:
          description: When the component started being under maintenance
          example: '2021-08-17T13:28:57.801578Z'
          format: date-time
          type: string
      required:
        - component_id
        - start_at
      type: object
    StatusPageMaintenanceUpdateV2:
      properties:
        component_statuses:
          description: The updated statuses of affected components
          example:
            - component_id: 01FCNDV6P870EA6S7TK1DSYDG2
              component_status: operational
          items:
            $ref: '#/components/schemas/StatusPageMaintenanceAffectedComponentV2'
          type: array
        id:
          description: A unique ID for this status page maintenance update
          example: 01FCNDV6P870EA6S7TK1DSYDG0
          type: string
        maintenance_status:
          description: Current status for this maintenance window
          enum:
            - maintenance_scheduled
            - maintenance_in_progress
            - maintenance_complete
          example: maintenance_scheduled
          type: string
          x-public-api-version: v2
        message:
          description: >-
            Markdown update on what's changed about this status page maintenance
            window
          example: abc123
          type: string
        published_at:
          description: >-
            When this status page maintenance update was published to the status
            page
          example: '2021-08-17T13:28:57.801578Z'
          format: date-time
          type: string
        status_page_maintenance_id:
          description: The ID of the corresponding status page maintenance window
          example: 01FCNDV6P870EA6S7TK1DSYDG1
          type: string
      required:
        - id
        - status_page_maintenance_id
        - published_at
        - message
        - maintenance_status
        - component_statuses
      type: object
    StatusPageMaintenanceAffectedComponentV2:
      example:
        component_id: 01FCNDV6P870EA6S7TK1DSYDG2
        component_status: operational
      properties:
        component_id:
          description: >-
            The ID of the affected component. This may be found by calling the
            ShowStatusPageStructure endpoint.
          example: 01FCNDV6P870EA6S7TK1DSYDG2
          type: string
        component_status:
          description: >-
            The status of the relevant component in a status page maintenance
            window
          enum:
            - operational
            - under_maintenance
          example: operational
          type: string
          x-public-api-version: v2
      required:
        - component_id
        - component_status
      type: object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: API key from your incident.io dashboard (Settings → API keys)

````